# H501_PartyInformation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_PartyInformation:

List of all members.

## Public Types

enum | OptionalFields { e_domainIdentifier, e_transportAddress, e_endpointType, e_userInfo, e_timeZone }

## Public Member Functions

| H501_PartyInformation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ArrayOf_AliasAddress | m_logicalAddresses
H225_AliasAddress | m_domainIdentifier
H225_AliasAddress | m_transportAddress
H225_EndpointType | m_endpointType
H501_UserInformation | m_userInfo
H501_TimeZone | m_timeZone

## Member Enumeration Documentation

enum H501_PartyInformation::OptionalFields

Enumerator:

  e_domainIdentifier |
  e_transportAddress |
  e_endpointType |
  e_userInfo |
  e_timeZone |

## Constructor & Destructor Documentation

H501_PartyInformation::H501_PartyInformation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_PartyInformation::GetDataLength | ( |  | ) | const

PBoolean H501_PartyInformation::Decode | ( | PASN_Stream & | strm | ) |

void H501_PartyInformation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_PartyInformation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_PartyInformation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_PartyInformation::Clone | ( |  | ) | const

## Member Data Documentation

H501_ArrayOf_AliasAddress H501_PartyInformation::m_logicalAddresses

H225_AliasAddress H501_PartyInformation::m_domainIdentifier

H225_AliasAddress H501_PartyInformation::m_transportAddress

H225_EndpointType H501_PartyInformation::m_endpointType

H501_UserInformation H501_PartyInformation::m_userInfo

H501_TimeZone H501_PartyInformation::m_timeZone

The documentation for this class was generated from the following file:

- h501.h